Subject: [PATCH 0/8] netns: make IPv6 multicast forwarding per-namespace

From: Benjamin Thery <[email-masked]>
Date: Mon, 08 Dec 2008 17:01:56 +0100

This patchset introduces the support for network namespaces in IPv6
multicast forwarding code (net/ipv6/ip6mr.c).

The first patches in the series moves global data from ip6mr.c into 
struct netns_ipv6 to prepare netns support. Data are still referenced in
init_net only. One of these patches makes the related /proc entries
per-namespace.

The last patch does the main job and enables the network namespace support
by replacing all the init_net references with the proper net retrieved
from sockets or net devices.

The patchset applies on top of net-next-2.6

Regards,
Benjamin